Bug 187855 - Ligatures displayed incorrectly in Firefox
Ligatures displayed incorrectly in Firefox
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2006-04-03 19:39 EDT by petrosyan
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-04 23:48:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot illustration (57.93 KB, image/png)
2006-04-03 19:39 EDT, petrosyan
no flags Details
bug illustration (1.42 KB, text/html)
2006-07-06 22:43 EDT, petrosyan
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 331716 None None None Never

  None (edit)
Description petrosyan 2006-04-03 19:39:53 EDT
Description of problem:
Firefox doesn't display the ligatures correctly. Need to have a font that
supports ligatures such as DejaVu for example. For a demo look at:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install DejaVu fonts (or any other font with ligatures)
2. Go to: http://www.gnome.org/~jamesh/firefox-ligature.html in Firefox

Additional info:
Look at the screenshot.
Comment 1 petrosyan 2006-04-03 19:39:53 EDT
Created attachment 127264 [details]
screenshot illustration
Comment 2 petrosyan 2006-07-06 22:43:28 EDT
Created attachment 132037 [details]
bug illustration

This bug has been fixed for Latin alphabet but it still happens for Armenian
alphabet. Attaching a sample HTML file demonstrating the bug for DejaVu Sans
justified case.
Comment 3 petrosyan 2006-09-04 23:48:03 EDT
It is better to track this bug upstream at

Note You need to log in before you can comment on or make changes to this bug.